/**
  * Sistema Integral de Planificación y Presupuesto (SIPP)
  * @file proyectos_operativos_generales.js
  * Drupal part Module to Sistema Integral de Planificación y Presupuesto (SIPP)
  * Copyright 2011 Sistema Automatizado para la Planificación Estratégico-Situacional en la Administración Pública Venezolana (CENDITEL)
  *
  * This program is free software; you can redistribute it and/or modify
  * it under the terms of the GNU General Public License as published by
  * the Free Software Foundation; either version 2 of the License, or
  * (at your option) any later version.
  * 
  * This program is distributed in the hope that it will be useful,
  * but WITHOUT ANY WARRANTY; without even the implied warranty of
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  * GNU General Public License for more details.
  * 
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  *
  * @author Cenditel Merida - Ing. José Puentes
  * @date 2012-02-02 // (a&#241;o-mes-dia)
  * @version 0.1 // (0.1)
  */

/**
 * Modifica los valores de la lista select para los responsables del proyecto
 */
Drupal.behaviors.proyectosOperativosDatosBasicosMcti = function (context) {
  //cambio de institucion
  $('#field_proyecto_ente_datos_basicos').hide();
  $('.responsable').change(function() {
    var self = $(this);
    $(this).parent().next('table').find('input').each(function(index) {
      if (!self.val() || self.val() == 0) {
        $(this).val("");
      }
      else {
        var value = Drupal.settings.responsables[self.val()][index];
        $(this).val(value);
      }
    });
  });

  //ocultando el campo comentario de no ser seleccionado
  $("#workflow-tab-form input[type='radio']").each(function() { 
  	if (this.checked == true) {
     	var label = this.id;
    	var text = $('label[for="'+label+'"]').text();
    	if (text == ' Anulado') {
    		$("#edit-workflow-comment-wrapper").show();
			}
    	/*else {
      	$("#edit-workflow-comment-wrapper").hide();
		  }*/
		}
	});
  $("#workflow-tab-form input[type='radio']").change(function() {
    var label = this.id;
    var text = $('label[for="'+label+'"]').text();
    if (text == ' Anulado') {
    	$("#edit-workflow-comment-wrapper").show();
		}
    /*else {
      $("#edit-workflow-comment-wrapper").hide();
		}*/
	});
}
